Bug 51865 - Error message "no valid devices.......filesystem
Error message "no valid devices.......filesystem
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-08-15 22:45 EDT by Robert C
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-06 13:03:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert C 2001-08-15 22:45:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
Anaconda starts and shows graphical installer.
When I select any of the Install options the error message shows.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Insert CD and reboot server
2.Starts install from cd.  Loads "aic7xxx" and "megaraid" drivers.
3.Text appears within the normal install blue screen saying "unable to 
identify CD Rom format.
4.Loads "aic7xxx" and "megaraid" drivers again and finds CD.
5.Runs anaconda and probes mouse type.  Starts GUI installer.
6.Same result experienced when I use aic7xxx driver from 

Actual Results:  Error message every time.

Expected Results:  Sucessful install

Additional info:

Tried using updated aic7xxx driver.  No go

This looks similar to a number of other bug reports but did not resolve 
when I used the solutions from those reports
Comment 1 Robert C 2001-08-15 22:54:55 EDT
The full error message reads" An error has occurred.  No valid devices were 
found on which to create new filesystems.  Please check your hardware for the 
cause of this problem".
Only option is to click "OK" which reboots the server.
Comment 2 Brent Fox 2001-08-16 10:32:41 EDT
When you get the "An error has occurred..." message, press <Ctrl><Alt><F4> and
see if there are any interesting error messages.

Comment 3 Robert C 2001-08-17 00:06:24 EDT
As requested


<6>PCI: Found IRQ 10 for device 02:0a.1
<1>Unable to handle kernel NULL pointer deference at virtual address 000002cc
<4> printing eip:
<4>pgd entry cfa25000: 0000000000000000
<4>pmd entry cfa25000: 0000000000000000
<4>... pmd not present!
<4>Oops: 0000
<4>CPU:    0
<4>EIP:    0010:[<d0a4f5b3>]
<4>EFLAGS: 00010246
<4>eax: 00000000   ebx: 00000000  ecx: 000002cc  edx: 00001111
<4>esi: 000002cc   edi: d0a51df1  ebp: d0a529a0  esp: cff15e44
<4>ds: 0018  es: 0018  ss: 0018
<4>Process loader (pid: 32, stackpage=cff15000)
<4>Stack: 00001860 00008086 c0120000 c022ci04 c144e000 00005e7c 00000000 
<4>       00000001 101e9060 00000001 020018d7 0000190e 80861960 11111111 
<4>       334429a0 00000000 d0a52120 d0a52e20 d0a529a0 d0a4fa63 d0a529a0 
<4>Call Trace: [<c0120000>] [<d0a52120>] [<d0a52e20>] [<d0a529a0>] [<d0a4fa63>] 
[<d0a529a0>] [<c011f667>]
<4>        [<d0a4e000>] [<doa4f970>] [<d0a1233b>] [<d0a529a0>] [<c0121e5d>] 
[<d0a4e000>] [<d0a517c2>] [<d0a529a0>]
<4>        [<doa529a0>] [<c0113985>] [<d0a531e0>] [<d0a2e000>] [<d0a4e060>] 
<4>Code: ac ae 75 08 84 c0 75 f8 31 c0 eb 04 19 c0 0c 01 85 c0 74 1b
<7>ISO 9660 Extensions: RRIP_1991A
<4>Unable to identify CD_ROM format.
<6>raid0 personality registered as nr2
<6>raid1 personality registered as nr3
<6>raid5: measuring checksumming speed
<4>   8regs     :    743.200 MB/sec
<4>   32regs    :    415.200 MB/sec
<4>   pII_mmx   :   1015.200 MB/sec
<4>   p5_mmx    :   1054.000 MB/sec
<4>raid5: using function: p5_mmx (1054.000 MB/sec)
<6>raid5 personality registered as nr 4

Comment 4 Brent Fox 2001-08-17 11:20:06 EDT
This is a kernel oops, so I'm changing component to the kernel.
Comment 5 Arjan van de Ven 2001-08-17 11:56:39 EDT
Is this an IDE cdromdrive ? If so, could you try passing "ide=nodma" on the
syslinux prompt ?
Comment 6 Alan Cox 2003-06-06 13:03:01 EDT
No reply in nearly two years: Closing

Note You need to log in before you can comment on or make changes to this bug.